package entity

// UserWithdrawalResp \game\game_cluster\nodes\webadmin\entity\user_withdrawal.go
type UserWithdrawalResp struct {
	UserName    string      `json:"user_name" bson:"userName"`        // 用户ID
	NickName    string      `json:"nick_name" bson:"nickName"`        // 昵称
	Status      interface{} `json:"status" bson:"status"`             // 0:未审核 1:审核通过 2:审核失败
	Amount      int         `json:"amount" bson:"amount"`             // 提现金额
	AfterAmount int         `json:"after_amount" bson:"after_amount"` // 提现后金额
	Type        interface{} `json:"type" bson:"type"`                 // 货币内型
	Address     string      `json:"address" bson:"address"`           // 地址
	CreateAt    interface{} `json:"createAt" bson:"createAt"`         // 提现时间
	UpdateAt    interface{} `json:"updateAt" bson:"updateAt"`
}

type UserWithdrawalReq struct {
	UserName  string `json:"user_name" bson:"user_name"` // 用户ID
	NickName  string `json:"nick_name" bson:"nick_name"` // 昵称
	StartTime int64  `json:"start_time"`                 // 开始时间
	EndTime   int64  `json:"end_time"`                   // 结束时间
	Page      int    `json:"page"`                       // 页码
	Size      int    `json:"size"`                       // 每页数量
}

type UserWithdrawalStatus struct {
	UserName string `json:"user_name" bson:"user_name"` // 用户ID
	Status   int32  `json:"status" bson:"status"`       // 0:未审核 1:审核通过 2:审核失败
}
